DID

Get customer's virtual numbers

Fetch assigned to customer virtual numbers, filtrated by given parameters. Returns data with pagination. Each virtual number also contains data about its billing.

GET
/api/v1/did/me

Query Parameters

country_code?array<string>

List of ISO alpha-2 country codes in upper case.

id?array<integer>

List of virtual numbers' unique ids.

is_spammed?boolean

Optional parameter for filtration, allows to filter out spammed or not spammed numbers.

search?string

Optional parameter that allows to search virtual numbers by did and/or comment values. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "id" | "did" | "status" | "country" | "country_code" | "provider" | "frequency" | "next_payment_at" | "activated_at" | "activation" | "amount_one_time" | "monthly" | "amount_subscription" | "comment" | "billing_period" | "spam_checked_at" | "is_spam"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
status?array<>

List of virtual numbers' statuses.

subscription_status?array<>

List of subscription statuses for virtual numbers' subscriptions.

page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/did/me" \  -H "Authorization: string"
{
  "data": [
    {
      "activated_at": "string",
      "activation": 0,
      "comment": "string",
      "country": "string",
      "country_code": "string",
      "created_at": "string",
      "did": "string",
      "frequency": "monthly",
      "id": 0,
      "incoming": 0,
      "is_active_spam_check": true,
      "is_spammed": true,
      "monthly": 0,
      "next_payment_at": "string",
      "provider": "string",
      "spam_checked_at": "string",
      "status": "configuration_awaiting",
      "subscription_status": "disabled"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.